#ifndef HERKENNINGSSLOT_H
#define HERKENNINGSSLOT_H

#include "slot.h"
#include <map>

class Afdrukker;

class HerkenningsSlot : public Slot
{
private:
    std::map<string,bool> kaartenbak;
    bool vergrendeld;
    Afdrukker* afdrukker;
public:
    HerkenningsSlot();
    void vergrendel();
    bool isVergrendeld();
    void ontgrendel(string);
    void toonKaartenBack();
    void voegAutorisatieToe(string,bool);
};

#endif // HERKENNINGSSLOT_H
